[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFloatField.Precision

Precision (number of digits) of the field in text representations

## Declaration

Source position: db.pas line 643

`published property TFloatField.Precision: LongInt read FPrecision write SetPrecision default 15;`

## Description

Precision is the maximum number of digits that should be used when the field is converted to a textual representation in TField.Displaytext or TField.Text, it is used in the arguments to FormatFloat.

## See also

TField.Displaytext |  | Formatted field value
TField.Text |  | Text representation of the field
FormatFloat

The latest version of this document can be found at lazarus-ccr.sourceforge.net .